#
# spec file for package archmage
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           archmage
Version:        0.3.1
Release:        lp150.1.3
Summary:        A reader and decompiler for files in the CHM format
License:        GPL-2.0+
Group:          Productivity/Archiving/Compression
URL:            https://github.com/dottedmag/archmage
Source:         https://github.com/dottedmag/archmage/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python2-beautifulsoup4
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildArch:      noarch

%description
arCHMage is a reader and decompiler for files in the CHM format. This is
the format used by Microsoft HTML Help, and is also known as Compiled HTML.

%prep
%setup -q

%build
echo %{version} > RELEASE-VERSION
%python2_build

%install
%python2_install
%fdupes %{buildroot}
install -Dpm 0644 %{name}.1 \
  %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/%{name}
%{python2_sitelib}/*
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Tue Nov 21 2017 mpluskal@suse.com
- Initial changelog entry for version 0.3.1
